# Base

Here we define the abstract supertypes that all outlier detectors share as well as the necessary [`fit`](@ref) and
[`score`](@ref) methods that have to be implemented for each detector.

## Types

### Detector

```@docs
Detector
```

### SupervisedDetector

```@docs
SupervisedDetector
```

### UnsupervisedDetector

```@docs
UnsupervisedDetector
```

### Classifier

```@docs
Classifier
```

### Model

```@docs
Model
```

### Scores

```@docs
Scores
```

### Data

```@docs
Data
```

### Label

```@docs
Label
```

### Fit

```@docs
Fit
```

### Result

```@docs
Result
```

## Functions

### fit

```@docs
fit
```

### score

```@docs
score
```

### to

```@docs
to
```
